Lawmatics
86 tools • OpenAPI spec ↗
GETlist_prospects/prospectsList all prospects (matters/leads) with optional filters.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter by |
| filter_on | string | No | Value to filter on |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_prospects"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_prospects",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/prospects Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_prospect/prospects/:idGet a single prospect by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Prospect ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_prospect"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_prospect",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/prospects/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_prospect_by_phone/prospects/find-by-phone/:phone_numberFind a prospect by phone number.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| phone_number | string | Yes | Phone number to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_prospect_by_phone"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_prospect_by_phone",
"params": {
"phone_number": "<phone_number>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/prospects/find-by-phone/:phone_number Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_prospect_by_email/prospects/find-by-email/:email_addressFind a prospect by email address.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| email_address | string | Yes | Email address to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_prospect_by_email"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_prospect_by_email",
"params": {
"email_address": "<email_address>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/prospects/find-by-email/:email_address Authorization: Bearer <your-api-key> Content-Type: application/json
GETfind_prospect_by_name/prospects/find-by-name/:nameFind a prospect by name.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Name to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_prospect_by_name"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_prospect_by_name",
"params": {
"name": "<name>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/prospects/find-by-name/:name Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_contacts/contactsList all contacts.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_contacts"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_contacts",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/contacts Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_contact/contacts/:idGet a single contact by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Contact ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_contact"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_contact",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/contacts/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_contact_by_phone/contacts/find-by-phone/:phone_numberFind a contact by phone number.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| phone_number | string | Yes | Phone number to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_contact_by_phone"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_contact_by_phone",
"params": {
"phone_number": "<phone_number>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/contacts/find-by-phone/:phone_number Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_contact_by_email/contacts/find-by-email/:email_addressFind a contact by email address.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| email_address | string | Yes | Email address to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_contact_by_email"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_contact_by_email",
"params": {
"email_address": "<email_address>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/contacts/find-by-email/:email_address Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_contact_by_name/contacts/find-by-name/:nameFind a contact by name.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Name to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_contact_by_name"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_contact_by_name",
"params": {
"name": "<name>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/contacts/find-by-name/:name Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_companies/companiesList all companies.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_companies"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_companies",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/companies Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_company/companies/:idGet a single company by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Company ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_company"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_company",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/companies/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_company_by_phone/companies/find-by-phone/:phone_numberFind a company by phone number.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| phone_number | string | Yes | Phone number to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_company_by_phone"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_company_by_phone",
"params": {
"phone_number": "<phone_number>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/companies/find-by-phone/:phone_number Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_company_by_email/companies/find-by-email/:email_addressFind a company by email address.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| email_address | string | Yes | Email address to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_company_by_email"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_company_by_email",
"params": {
"email_address": "<email_address>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/companies/find-by-email/:email_address Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETfind_company_by_name/companies/find-by-name/:nameFind a company by name.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Name to search |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "find_company_by_name"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "find_company_by_name",
"params": {
"name": "<name>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/companies/find-by-name/:name Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_addresses/addressesList all addresses.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_addresses"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_addresses",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/addresses Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_address/addresses/:idGet a single address by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Address ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_address"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_address",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/addresses/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_email_addresses/email-addressesList all email addresses.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_email_addresses"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_email_addresses",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/email-addresses Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_email_address/email-addresses/:idGet a single email address by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Email Address ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_email_address"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_email_address",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/email-addresses/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_phone_numbers/phone-numbersList all phone numbers.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_phone_numbers"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_phone_numbers",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/phone-numbers Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_phone_number/phone-numbers/:idGet a single phone number by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Phone Number ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_phone_number"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_phone_number",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/phone-numbers/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_custom_contact_types/custom-contact-typesList all custom contact types.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_custom_contact_types"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_custom_contact_types",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-contact-types Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_custom_contact_type/custom-contact-types/:idGet a single custom contact type by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Custom Contact Type ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_custom_contact_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_custom_contact_type",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-contact-types/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_custom_fields/custom-fieldsList all custom fields.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_custom_fields"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_custom_fields",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-fields Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETget_custom_field/custom-fields/:idGet a single custom field by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Custom Field ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_custom_field"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_custom_field",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-fields/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_custom_emails/custom-emailsList all custom email templates.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_custom_emails"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_custom_emails",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-emails Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_custom_email/custom-emails/:idGet a single custom email template by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Custom Email ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_custom_email"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_custom_email",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/custom-emails/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_forms/formsList all forms.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_forms"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_forms",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/forms Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETget_form/forms/:idGet a single form by UUID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Form UUID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_form"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_form",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/forms/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_form_entries/forms/:custom_form_uuid/entriesList all entries for a specific form.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| custom_form_uuid | string | Yes | Form UUID |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_form_entries"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_form_entries",
"params": {
"custom_form_uuid": "<custom_form_uuid>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/forms/:custom_form_uuid/entries Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETlist_email_campaigns/email-campaignsList all email campaigns.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_email_campaigns"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_email_campaigns",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/email-campaigns Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_email_campaign/email-campaigns/:idGet a single email campaign by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Email Campaign ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_email_campaign"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_email_campaign",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/email-campaigns/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_email_campaign_stats/email-campaigns/:id/statsGet statistics for an email campaign by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Email Campaign ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_email_campaign_stats"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_email_campaign_stats",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/email-campaigns/:id/stats Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_events/eventsList all events.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_events"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_events",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/events Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_event/events/:idGet a single event by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Event ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_event"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_event",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/events/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_locations/locationsList all locations.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_locations"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_locations",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/locations Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETlist_event_types/event-typesList all event types.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_event_types"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_event_types",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/event-types Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_event_type/event-types/:idGet a single event type by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Event Type ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_event_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_event_type",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/event-types/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_files/filesList all files.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_files"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_files",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/files Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_file/files/:idGet a single file's metadata by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | File ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_file"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_file",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/files/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETdownload_file/files/:id/downloadDownload a file by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | File ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "download_file"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "download_file",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/files/:id/download Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_folders/foldersList all folders.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_folders"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_folders",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/folders Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_folder/folders/:idGet a single folder by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Folder ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_folder"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_folder",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/folders/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_interactions/interactionsList all interactions.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_interactions"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_interactions",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/interactions Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_interaction/interactions/:idGet a single interaction by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Interaction ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_interaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_interaction",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/interactions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_notes/notesList all notes.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_notes"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_notes",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/notes Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_note/notes/:idGet a single note by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Note ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_note"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_note",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/notes/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_tasks/tasksList all tasks.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_tasks"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_tasks",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_task/tasks/:idGet a single task by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Task ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_task"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_task",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_task_subtasks/tasks/:task_id/subtasksList all subtasks for a task.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| task_id | string | Yes | Parent Task ID |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_task_subtasks"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_task_subtasks",
"params": {
"task_id": "<task_id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks/:task_id/subtasks Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_task_subtask/tasks/:task_id/subtasks/:subtask_idGet a single subtask for a task.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| task_id | string | Yes | Parent Task ID |
| subtask_id | string | Yes | Subtask ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_task_subtask"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_task_subtask",
"params": {
"task_id": "<task_id>",
"subtask_id": "<subtask_id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks/:task_id/subtasks/:subtask_id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_task_comments/tasks/:task_id/commentsList all comments for a task.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| task_id | string | Yes | Task ID |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_task_comments"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_task_comments",
"params": {
"task_id": "<task_id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks/:task_id/comments Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_task_comment/tasks/:task_id/comments/:comment_idGet a single comment for a task.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| task_id | string | Yes | Task ID |
| comment_id | string | Yes | Comment ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_task_comment"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_task_comment",
"params": {
"task_id": "<task_id>",
"comment_id": "<comment_id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tasks/:task_id/comments/:comment_id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_task_statuses/task-statusesList all task statuses.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_task_statuses"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_task_statuses",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/task-statuses Authorization: Bearer <your-api-key> Content-Type: application/json
GETget_task_status/task-statuses/:idGet a single task status by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Task Status ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_task_status"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_task_status",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/task-statuses/:id Authorization: Bearer <your-api-key> Content-Type: application/json
GETlist_campaigns/campaignsList all automation campaigns.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_campaigns"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_campaigns",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/campaigns Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_campaign/campaigns/:idGet a single automation campaign by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Campaign ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_campaign"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_campaign",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/campaigns/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_sources/sourcesList all lead sources.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_sources"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_sources",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/sources Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_source/sources/:idGet a single lead source by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Source ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_source"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_source",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/sources/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_pipelines/pipelinesList all pipelines.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_pipelines"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_pipelines",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/pipelines Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_pipeline/pipelines/:idGet a single pipeline by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Pipeline ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_pipeline"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_pipeline",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/pipelines/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_stages/stagesList all pipeline stages.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_stages"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_stages",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/stages Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_stage/stages/:idGet a single pipeline stage by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Stage ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_stage"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_stage",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/stages/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_practice_areas/practice-areasList all practice areas.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_practice_areas"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_practice_areas",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/practice-areas Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_practice_area/practice-areas/:idGet a single practice area by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Practice Area ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_practice_area"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_practice_area",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/practice-areas/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_relationships/relationshipsList all relationships.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_relationships"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_relationships",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/relationships Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_relationship/relationships/:idGet a single relationship by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Relationship ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_relationship"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_relationship",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/relationships/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_relationship_types/relationship-typesList all relationship types.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_relationship_types"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_relationship_types",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/relationship-types Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_relationship_type/relationship-types/:idGet a single relationship type by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Relationship Type ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_relationship_type"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_relationship_type",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/relationship-types/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_sub_statuses/sub-statusesList all sub-statuses.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_sub_statuses"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_sub_statuses",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/sub-statuses Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_sub_status/sub-statuses/:idGet a single sub-status by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Status ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_sub_status"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_sub_status",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/sub-statuses/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETget_tag/tags/:idGet a single tag by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Tag ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_tag"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_tag",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/tags/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_invoices/invoicesList all invoices.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_invoices"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_invoices",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/invoices Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_invoice/invoices/:idGet a single invoice by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Invoice ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_invoice"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_invoice",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/invoices/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_expenses/expensesList all expenses.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_expenses"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_expenses",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/expenses Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_expense/expenses/:idGet a single expense by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Expense ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_expense"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_expense",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/expenses/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_time_entries/time-entriesList all time entries.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_time_entries"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_time_entries",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/time-entries Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_time_entry/time-entries/:idGet a single time entry by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Time Entry ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_time_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_time_entry",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/time-entries/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_transactions/transactionsList all transactions.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_transactions"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_transactions",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/transactions Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_transaction/transactions/:idGet a single transaction by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Transaction ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_transaction"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_transaction",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/transactions/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_activities/activitiesList all activities. Can filter by matter_id, contact_id, type, or event.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field to filter by (matter_id, contact_id, type, or event) |
| filter_on | string | No | Value to filter on |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_activities"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_activities",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/activities Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_activity/activities/:idGet a single activity by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Activity ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_activity",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/activities/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETlist_users/usersList all users in the firm.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sort_order | string | No | Sort order: asc or desc (default: desc) |
| sort_by | string | No | Field to sort by (e.g. id, created_at, updated_at) |
| filter_by | string | No | Field name to filter on |
| filter_on | string | No | Value to filter for |
| filter_with | string | No | Filter operator: =, !=, <=, <, >=, >, like, ilike, null, not_null |
Pagination
| Name | Type | Required | Description |
|---|---|---|---|
| page | string | No | Page number for pagination (default: 1) |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "list_users"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "list_users",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/users Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null,
"meta": null,
"links": null
}GETget_user/users/:idGet a single user by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | User ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_user"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_user",
"params": {
"id": "<id>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/users/:id Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}GETget_me/users/meGet the currently authenticated user.
Request
No input parameters.
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "lawmatics",
"method": "get_me"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_lawmatics",
"arguments": {
"method": "get_me",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/lawmatics/users/me Authorization: Bearer <your-api-key> Content-Type: application/json
Response
{
"data": null
}